body{
    margin-top: 20px;
}
a:link {
    color: black;
    background-color: transparent;
    text-decoration: none;
}
a:visited {
    color: black;
    background-color: transparent;
    text-decoration: none;
}
a:hover {
    color: red;
    background-color: transparent;
    text-decoration: underline;
}
.shop{
    font-size: 100%;  
}
.shop-details{
    display: grid;
    grid-template-columns:1fr 1fr 1fr 1fr;
}
.mens-outerwear p{
    font-size: 100%;
}
.full-zip img{
    width: 100%;
    height: auto;
}
footer{
    display: flex;
    flex-direction: column;
    align-items: center;
}
footer p{
    width: 150px;
}
footer h4{
    display: flex;
    width:200px;
    height: 50px;
    justify-content: center;
    align-items: center;
    background-color: black;
    color: white;
}
@media only screen and (min-width:1201px)
{
    .shop-details{
        margin:30px 35% 30px;
    }
    header{
        text-align: center;
        font-size:80%;
    }
    section{
        text-align: center;
        font-size:100%;
    }
    .grid{
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        margin: 5% 10%;
        grid-column-gap: 10%;
        grid-row-gap: 20px;
    }
    .mens-outerwear img{
        width: 100%;
        height: auto;
    }

}

@media only screen and (max-width:1200px) 
{
    @media only screen and (min-width:651px)
    {
        .shop-details{
            margin:30px 15% 30px;
        }
        header{
            text-align: center;
            font-size:80%;
        }
        section{
            text-align: center;
            font-size:100%;
        }
        .grid{
            display: grid;
            grid-template-columns: 1fr 1fr 1fr;
            margin: 5% 10%;
            grid-column-gap: 10%;
            grid-row-gap: 20px;
        }
        .mens-outerwear img{
            width: 100%;
            height: auto;
        }

    }
}
@media only screen and (max-width:650px)
{
    .shop-details{
        margin:30px 1% 30px;
    }
    header{
        text-align: center;
        font-size:70%;
    }
    section{
        text-align: center;
        font-size:80%;
    }
    .grid{
        display: grid;
        grid-template-columns: 1fr 1fr;
        margin: 5% 10%;
        grid-column-gap: 10%;
        grid-row-gap: 20px;
    }
    .mens-outerwear img{
        width: 0%;
        height: 0%;
    }
    
}
